## ros-kinetic-pr2-dense-laser-snapshotter 1.0.11

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_dense_laser_snapshotter)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS dense_laser_assembler pr2_msgs)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
catkin_package(
    DEPENDS 
    CATKIN_DEPENDS pr2_msgs dense_laser_assembler# TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

add_executable(dense_laser_snapshotter src/dense_laser_snapshotter.cpp)
target_link_libraries(dense_laser_snapshotter ${catkin_LIBRARIES})
add_dependencies(dense_laser_snapshotter ${catkin_EXPORTED_TARGETS} )

=== gtest/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(CMAKE_COMMAND) -E cmake_progress_start /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter/CMakeFiles /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter/gtest/CMakeFiles/progress.marks
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f CMakeFiles/Makefile2 gtest/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f CMakeFiles/Makefile2 gtest/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f CMakeFiles/Makefile2 gtest/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f CMakeFiles/Makefile2 gtest/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
gtest/CMakeFiles/gtest.dir/rule:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f CMakeFiles/Makefile2 gtest/CMakeFiles/gtest.dir/rule
.PHONY : gtest/CMakeFiles/gtest.dir/rule

# Convenience name for target.
gtest: gtest/CMakeFiles/gtest.dir/rule
.PHONY : gtest

# fast build rule for target.
gtest/fast:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f gtest/CMakeFiles/gtest.dir/build.make gtest/CMakeFiles/gtest.dir/build
.PHONY : gtest/fast

# Convenience name for target.
gtest/CMakeFiles/gtest_main.dir/rule:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f CMakeFiles/Makefile2 gtest/CMakeFiles/gtest_main.dir/rule
.PHONY : gtest/CMakeFiles/gtest_main.dir/rule

# Convenience name for target.
gtest_main: gtest/CMakeFiles/gtest_main.dir/rule
.PHONY : gtest_main

# fast build rule for target.
gtest_main/fast:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f gtest/CMakeFiles/gtest_main.dir/build.make gtest/CMakeFiles/gtest_main.dir/build
.PHONY : gtest_main/fast

src/gtest-all.o: src/gtest-all.cc.o
.PHONY : src/gtest-all.o

# target to build an object file
src/gtest-all.cc.o:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f gtest/CMakeFiles/gtest.dir/build.make gtest/CMakeFiles/gtest.dir/src/gtest-all.cc.o
.PHONY : src/gtest-all.cc.o

src/gtest-all.i: src/gtest-all.cc.i
.PHONY : src/gtest-all.i

# target to preprocess a source file
src/gtest-all.cc.i:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f gtest/CMakeFiles/gtest.dir/build.make gtest/CMakeFiles/gtest.dir/src/gtest-all.cc.i
.PHONY : src/gtest-all.cc.i

src/gtest-all.s: src/gtest-all.cc.s
.PHONY : src/gtest-all.s

# target to generate assembly for a file
src/gtest-all.cc.s:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f gtest/CMakeFiles/gtest.dir/build.make gtest/CMakeFiles/gtest.dir/src/gtest-all.cc.s
.PHONY : src/gtest-all.cc.s

src/gtest_main.o: src/gtest_main.cc.o
.PHONY : src/gtest_main.o

# target to build an object file
src/gtest_main.cc.o:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f gtest/CMakeFiles/gtest_main.dir/build.make gtest/CMakeFiles/gtest_main.dir/src/gtest_main.cc.o
.PHONY : src/gtest_main.cc.o

src/gtest_main.i: src/gtest_main.cc.i
.PHONY : src/gtest_main.i

# target to preprocess a source file
src/gtest_main.cc.i:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f gtest/CMakeFiles/gtest_main.dir/build.make gtest/CMakeFiles/gtest_main.dir/src/gtest_main.cc.i
.PHONY : src/gtest_main.cc.i

src/gtest_main.s: src/gtest_main.cc.s
.PHONY : src/gtest_main.s

# target to generate assembly for a file
src/gtest_main.cc.s:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(MAKE) -f gtest/CMakeFiles/gtest_main.dir/build.make gtest/CMakeFiles/gtest_main.dir/src/gtest_main.cc.s
.PHONY : src/gtest_main.cc.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... gtest"
	@echo "... gtest_main"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... src/gtest-all.o"
	@echo "... src/gtest-all.i"
	@echo "... src/gtest-all.s"
	@echo "... src/gtest_main.o"
	@echo "... src/gtest_main.i"
	@echo "... src/gtest_main.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/marco/overlay_ws/src/pr2_calibration/pr2_dense_laser_snapshotter && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
ros-kinetic-pr2-dense-laser-snapshotter (1.0.11-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.10-0xenial) xenial; urgency=high

  * updated maintainer; fixed cmake warnings; fixed compiler warnings
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 22 Mar 2018 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.7-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 06 Feb 2015 08:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.6-0xenial) xenial; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 04 Dec 2014 08:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.5-0xenial) xenial; urgency=high

  * Removed mainpage.dox for *
  * Fixed pr2_dense_laser_snapshotter
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Oct 2014 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.4-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 17 Sep 2014 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.3-0xenial) xenial; urgency=high

  * Added lib export for pr2_laser_snapshotter
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 11 Sep 2014 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.1-0xenial) xenial; urgency=high

  * Added hydro devel, compiles and makes in hydro
  * removedc makefil
  * catkinization of pr2_dense_laser_snapshotter
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 08 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-dense-laser-snapshotter
Section: misc
Priority: extra
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dense-laser-assembler, ros-kinetic-pr2-msgs
Homepage: http://www.ros.org/wiki/pr2_dense_laser_snapshotter
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-dense-laser-snapshotter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dense-laser-assembler, ros-kinetic-pr2-msgs
Description: Stores the data from a series of laser scan messages in a dense representation, allowing users to easily perform image-like operations on intensity or range data.
 This package is experimental. Expect APIs to change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-dense-laser-snapshotter//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
